#include "GuardIdleComponent.h"
#include "EIdlePostStopOperation.h"
#include "Net/UnrealNetwork.h"

void UGuardIdleComponent::Multicast_OnIdleStopped_Implementation(EIdlePostStopOperation operation)
{

}

void UGuardIdleComponent::Multicast_OnIdleStarted_Implementation()
{

}

void UGuardIdleComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UGuardIdleComponent, _canIdle);
}

UGuardIdleComponent::UGuardIdleComponent()
{
	this->_canIdle = false;
}
